package com.jetlore.sdk.ranking;

import com.jetlore.sdk.common.Event;
import com.jetlore.sdk.common.GetEvent;
import com.jetlore.sdk.common.PostEvent;
import com.jetlore.sdk.http.AsyncHttpClient;

public abstract class RankingPostEvent extends PostEvent {

    protected String clientHash;

    protected RankingPostEvent(RankingEventBuilder<? extends PostEvent> builder) {
        super(builder);
        this.clientHash = builder.clientHash;
    }

    static abstract class RankingEventBuilder<T> extends Event.EventBuilder<T> {
        protected String clientHash;

        RankingEventBuilder(String  userId, String apiUrl, String clientHash, AsyncHttpClient httpClient) {
            super(userId, apiUrl, httpClient);
            this.clientHash = clientHash;
        }

        public abstract T build();
    }
}