package com.jetlore.sdk.ranking;

import org.json.JSONObject;
import java.io.Serializable;

/**
 *  Class that contains common for Layout section fields
 */
public abstract class Section implements Serializable {

    /**
     * This method will trigger appropriate visit method {@link SectionVisitor#visit(ProductSection)}
     * or {@link SectionVisitor#visit(PromotionSection)} depending on type of current section
     *
     * @param visitor object
     */
    public abstract void handle(SectionVisitor visitor);

    static Section fromJSONObject(JSONObject obj) {

        if (obj.has("products")) {
            return ProductSection.fromJSONObject(obj);
        } else if (obj.has("promos")) {
            return PromotionSection.fromJSONObject(obj);
        }

        return null;
    }
}
