package com.jetlore.sdk.ranking.callback;

import com.jetlore.sdk.ranking.Layout;
import com.jetlore.sdk.tracking.ActionContext;

/**
 * Callback with layout is used in {@link com.jetlore.sdk.ranking.Ranker#getLayout(String, ActionContext, GetLayoutCallback)}
 */
public interface GetLayoutCallback {

    /**
     * Successful callback
     *
     * @param layout Jetlore ranked layout
     */
    void onSuccess(Layout layout);

    /**
     * Failure callback
     *
     * @param msg failure message
     * @param ex exception occurred
     */
    void onFailure(String msg, Throwable ex);
}
