package com.jetlore.sdk.ranking.callback;

import com.jetlore.sdk.ranking.Product;
import com.jetlore.sdk.ranking.RankContext;

import java.util.List;

/**
 * Callback with products is used in {@link com.jetlore.sdk.ranking.Ranker#getProducts(int, RankContext, GetProductsCallback)}
 */
public interface GetProductsCallback {

    /**
     * Successful callback
     *
     * @param products Jetlore ranked products
     */
    void onSuccess(List<Product> products);

    /**
     * Failure callback
     *
     * @param msg failure message
     * @param ex exception occurred
     */
    void onFailure(String msg, Throwable ex);
}
