package com.jetlore.sdk.ranking.callback;

import com.jetlore.sdk.ranking.PromotionInfo;
import com.jetlore.sdk.tracking.ActionContext;

import java.util.List;
/**
 * Callback with promotions {@link com.jetlore.sdk.ranking.Ranker#getPromos(String, String, int, ActionContext, GetPromotionsCallback)}
 */
public interface GetPromotionsCallback {

    /**
     * Successful callback
     *
     * @param promos Jetlore ranked promotions
     */
    void onSuccess(List<PromotionInfo> promos);

    /**
     * Failure callback
     *
     * @param msg failure message
     * @param ex exception occurred
     */
    void onFailure(String msg, Throwable ex);
}
