package com.jetlore.sdk.ranking.callback;

import com.jetlore.sdk.ranking.SortProductsContext;

import java.util.List;

/**
 * Callback for product Ids in {@link com.jetlore.sdk.ranking.Ranker#sortProductsByRelevance(SortProductsContext, SortProductsCallback)}
 */
public interface SortProductsCallback {

    /**
     * Successful callback
     *
     * @param productIds Jetlore re-ranked ids
     * @param total number results count (without pagination)
     */
    void onSuccess(List<String> productIds, long total);

    /**
     * Failure callback
     *
     * @param msg failure message
     * @param ex exception occurred
     */
    void onFailure(String msg, Throwable ex);
}
