package com.jetlore.sdk.tracking;


import android.util.Log;

import com.jetlore.sdk.http.AsyncHttpClient;

import org.json.JSONException;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

class AddToCartEvent extends TrackingEvent {

    private List<ProductContext> products;

    private AddToCartEvent(Builder builder) {
        super(builder);
        this.products = builder.products;
    }

    protected Map<String, String> getQueryParams() {
        Map<String, String> parametersMap = new HashMap<String, String>();
        try {
            parametersMap.put("data", toJSONArray(products));
        } catch (JSONException ex) {
            Log.e(TAG, String.format("AddToCart failed to represent products as JSON"));
        }
        return parametersMap;
    }

    protected String getAction() {
        return "add_to_cart";
    }

    static class Builder extends TrackingProductEventBuilder<AddToCartEvent> {

        Builder(String userId, String apiUrl, String accessToken, AsyncHttpClient httpClient) {
            super(userId, apiUrl, accessToken, httpClient);
        }

        @Override
        public AddToCartEvent build(){
            return new AddToCartEvent(this);
        }
    }
}
